Skip to Content
Get a 'generate-chapters' job
get

Retrieves the current status and results of a 'generate-chapters' job. Jobs are automatically deleted after 30 days.

Request path & query params
JOB_ID
string

Robots job ID returned by job creation or listing (rjob_...).. Robots job ID returned by job creation or listing (rjob_...).

get
200
https://api.mux.com/robots/v1/jobs/generate-chapters/{JOB_ID}
Response
(application/json)
{
  "data": {
    "id": "rjob_example123",
    "workflow": "generate-chapters",
    "status": "completed",
    "units_consumed": 1,
    "created_at": 1700000000,
    "updated_at": 1700000060,
    "parameters": {
      "asset_id": "mux_asset_123abc",
      "update_asset_chapters": true,
      "output_steering": {
        "chapter_style": "descriptive",
        "chapter_granularity": "balanced",
        "audience": "Developers"
      }
    },
    "outputs": {
      "chapters": [
        {
          "start_time": 0,
          "title": "Introduction"
        }
      ],
      "asset_updates": {
        "chapters": {
          "status": "created",
          "track_id": "chaptersabc123def456",
          "replaced_track_ids": [
            "old_chapters_track"
          ]
        }
      }
    }
  }
}